diff -urN sourceold/scripts/jmgBearHunter.cpp source/scripts/jmgBearHunter.cpp
--- sourceold/scripts/jmgBearHunter.cpp	2019-08-20 10:11:06.805000100 +1000
+++ source/scripts/jmgBearHunter.cpp	2020-09-26 08:59:57.398127800 +1000
@@ -5911,16 +5954,14 @@
 	currentTargetID = Commands->Get_ID(damager);
 	if (NewObjectiveSystemControl.Get_Objective_Status(20) == NewObjectiveSystem::NotDefined)
 	{
-		JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: That deer looks real exotic, kill it so we can stuff it and sell it for big bucks!");
-		JmgUtility::Create_2D_Wave_Sound_Dialog("BH83.mp3");
+		BearHunterVoiceSystem::PlayVoice("BH83.mp3","Bear Rug Co: That deer looks real exotic, kill it so we can stuff it and sell it for big bucks!");
 		JMG_Bear_Hunter_Game_Control::IncreaseBonusObjectiveCount(20);
 		NewObjectiveSystemControl.Add_Objective(20,NewObjectiveSystem::Bonus,NewObjectiveSystem::Pending,12786,"",12786,JMG_Bear_Hunter_Game_Control::bonusObjectiveCount);
 	}
 }
 void JMG_Bear_Hunter_Giant_Deer_Boss::Killed(GameObject *obj,GameObject *killer)
 {
-	JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: Good work killing that exotic deer, grab its carcass and return it to base and we'll swap it out for a new weapon prototype we're working on.");
-	JmgUtility::Create_2D_Wave_Sound_Dialog("BH84.mp3");
+	BearHunterVoiceSystem::PlayVoice("BH84.mp3","Bear Rug Co: Good work killing that exotic deer, grab its carcass and return it to base and we'll swap it out for a new weapon prototype we're working on.");
 	NewObjectiveSystemControl.Set_Objective_Mission(20,12787,12787);
 	Commands->Give_Points(killer,250.0f,false);
 	Vector3 pos = Commands->Get_Position(obj);
@@ -5994,6 +6035,8 @@
 		case 1000003643:case 1000003647:case 1000003649:node->FriendlyTinyDeerKilled++;break;
 		case 1000000024:case 1000000026:case 1000000028:Commands->Get_Player_Type(obj) == 1 ? node->KilledFriendlyCougars++ : node->KilledCougars++;break;
 		case 1000000036:case 1000000038:case 1000000040:node->KilledMutantCougars++;break;
+		case 1000000249:case 1000000263:case 1000000265:node->KilledCows++;break;
+		case 1000000260:case 1000000267:case 1000000269:node->KilledMice++;break;
 		default:node->KilledHumanAi++;break;
 		}
 }
@@ -6023,8 +6066,6 @@
 			node->PickedupAmmoTotal += Get_Int_Parameter("Value");
 			break;
 		case 4:
-			if (!JMG_Bear_Hunter_Player_Soldier::hasGrenadeVest[JmgUtility::JMG_Get_Player_ID(sender)])
-				node->C4VestPowerups++;
 			break;
 		}
 	}
@@ -6108,21 +6149,18 @@
 		return;
 	if (NewObjectiveSystemControl.Get_Objective_Status(21) == NewObjectiveSystem::NotDefined)
 	{
-		JmgUtility::DisplayChatMessage(poker,127,127,255,"Bear Rug Co: We have the Communications Tower turned off right now because it was scaring off the wild life, leave it off!");
-		Create_2D_Wave_Sound_Dialog_Player(poker,"BH85.mp3");
+		BearHunterVoiceSystem::PlayVoice(poker,"BH85.mp3","Bear Rug Co: We have the Communications Tower turned off right now because it was scaring off the wild life, leave it off!");
 		return;
 	}
 	if (NewObjectiveSystemControl.Get_Objective_Status(21) == NewObjectiveSystem::Removed)
 	{
-		JmgUtility::DisplayChatMessage(poker,127,127,255,"Bear Rug Co: Sorry, its too late to activate the tower now.");
-		Create_2D_Wave_Sound_Dialog_Player(poker,"BH86.mp3");
+		BearHunterVoiceSystem::PlayVoice(poker,"BH86.mp3","Bear Rug Co: Sorry, its too late to activate the tower now.");
 		return;
 	}
 	Commands->Enable_HUD_Pokable_Indicator(obj,false);
 	Commands->Give_Points(obj,250.0f,false);
 	activated = true;
-	JmgUtility::MessageAllPlayers(127,127,255,"Distress Signal Transmission In Progress: We are under attack by mutants on Bear Island and we need help!");
-	JmgUtility::Create_2D_Wave_Sound_Dialog("BH87.mp3");
+	BearHunterVoiceSystem::PlayVoice("BH87.mp3","Distress Signal Transmission In Progress: We are under attack by mutants on Bear Island and we need help!");
 	NewObjectiveSystemControl.Set_Objective_Mission(21,12790,12790);
 	Commands->Set_Animation(obj,"RdoTwrSwtch.RdoTwrSwtch",false,0,2.0f,2.0f,false);
 	GameObject *radioTower = Commands->Find_Object(JMG_Bear_Hunter_Radio_Tower_Control::radioTowerId);
@@ -6145,8 +6183,7 @@
 	Commands->Send_Custom_Event(radioTower,radioTower,57459,0,5.0f);
 	if (NewObjectiveSystemControl.Get_Objective_Status(21) != NewObjectiveSystem::Accomplished)
 	{
-		JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: The communications tower was destroyed before anyone could answer our distress call!");
-		JmgUtility::Create_2D_Wave_Sound_Dialog("BH88.mp3");
+		BearHunterVoiceSystem::PlayVoice("BH88.mp3","Bear Rug Co: The communications tower was destroyed before anyone could answer our distress call!");
 		NewObjectiveSystemControl.Set_Objective_Status(21,NewObjectiveSystem::Failed);
 	}
 	JMG_Bear_Hunter_Radio_Tower_Control::destroyed = true;
@@ -6505,7 +6542,7 @@
 }
 void JMG_Bear_Hunter_Camera_Behavior::Created(GameObject *obj)
 {
-	playerScoreNode = bearHunterScoreSystem.Get_Current_Player_Score_Node(JmgUtility::JMG_Get_Player_ID(obj));
+	playerScoreNode = bearHunterScoreSystem.Get_Current_Player_Score_Node(Get_Int_Parameter("PlayerID"));
 	if (playerScoreNode)
 		playerScoreNode->SentryTurretsPlaced++;
 	enabled = true;
@@ -6752,8 +6789,7 @@
 {
 	if (NewObjectiveSystemControl.Get_Objective_Status(22) == NewObjectiveSystem::NotDefined)
 	{
-		JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: The President of Corporate America had some painkillers called in, they airdropped them outside of DERP, we'll pay everyone $100.00 if you can return it to him.");
-		JmgUtility::Create_2D_Wave_Sound_Dialog("BH89.mp3");
+		BearHunterVoiceSystem::PlayVoice("BH89.mp3","Bear Rug Co: The President of Corporate America had some painkillers called in, they airdropped them outside of DERP, we'll pay everyone $100.00 if you can return it to him.");
 		NewObjectiveSystemControl.Add_Objective(22,NewObjectiveSystem::Tertiary,NewObjectiveSystem::Pending,12795,"",12795,obj);
 	}
 	else
@@ -6820,8 +6856,7 @@
 		{
 			if (Commands->Get_Shield_Strength(obj) < 490.0f)
 			{
-				JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: The power substation is under attack, defend it or else we'll lose power to the turrets!");
-				JmgUtility::Create_2D_Wave_Sound_Dialog("BH90.mp3");
+				BearHunterVoiceSystem::PlayVoice("BH90.mp3","Bear Rug Co: The power substation is under attack, defend it or else we'll lose power to the turrets!");
 				NewObjectiveSystemControl.Add_Objective(23,NewObjectiveSystem::Secondary,NewObjectiveSystem::Pending,12798,"",12798,obj);
 				objectiveActive = true;
 			}
@@ -6829,8 +6864,7 @@
 		}
 		else if (difftime(clock(),announceTime) > 10000.0f)
 		{
-			JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: The power substation is still under attack!");
-			JmgUtility::Create_2D_Wave_Sound_Dialog("BH91.mp3");
+			BearHunterVoiceSystem::PlayVoice("BH91.mp3","Bear Rug Co: The power substation is still under attack!");
 			announceTime = clock();
 		}
 	if (JMG_Bear_Hunter_Power_Transformer::online && !Commands->Get_Shield_Strength(obj))
@@ -6841,8 +6875,7 @@
 		if (playerScoreNode)
 			playerScoreNode->RepairedSubstation--;
 		Commands->Set_Player_Type(obj,-2);
-		JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: The power substation has been critically damaged, all turrets are down, get out there and repair it!");
-		JmgUtility::Create_2D_Wave_Sound_Dialog("BH92.mp3");
+		BearHunterVoiceSystem::PlayVoice("BH92.mp3","Bear Rug Co: The power substation has been critically damaged, all turrets are down, get out there and repair it!");
 		Commands->Create_Explosion("Explosion_IonCannonBeacon",Vector3(187.902f,-721.522f,1.852f),0);
 		NewObjectiveSystemControl.Set_Objective_Mission(23,12799,12799);
 		Commands->Set_Animation(obj,"transformer.transformer",false,0,1.0,1.0,true);
@@ -6857,8 +6890,7 @@
 		if (playerScoreNode)
 			playerScoreNode->RepairedSubstation++;
 		Commands->Set_Player_Type(obj,1);
-		JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: The power substation has been repaired, turrets back on-line, try to defend it this time!");
-		JmgUtility::Create_2D_Wave_Sound_Dialog("BH93.mp3");
+		BearHunterVoiceSystem::PlayVoice("BH93.mp3","Bear Rug Co: The power substation has been repaired, turrets back on-line, try to defend it this time!");
 		NewObjectiveSystemControl.Set_Objective_Mission(23,12798,12798);
 		Commands->Set_Animation(obj,"transformer.transformer",false,0,0,0,true);
 		ToggleTurrets(true);
@@ -8290,6 +8322,19 @@
 	*position = node->position;
 	return true;
 }
+bool JMG_Bear_Hunter_AI_Guardian_Generic::Get_A_Defense_Point(Vector3 *position)
+{
+	Rp2SimplePositionSystem::SimplePositionNode *node = NULL;
+	if (Get_Int_Parameter("WanderingAIGroupID") != -1)
+		node = JMG_Wandering_AI_Controller::wanderPoints.GetRandomFromGroup(Get_Int_Parameter("WanderingAIGroupID"));
+	if (!node)
+	{
+		Console_Input("msg JMG_Bear_Hunter_AI_Guardian_Generic ERROR: No wander points could be found for that group!");
+		return false;
+	}
+	*position = node->position;
+	return true;
+}
 bool JMG_Utility_Zone_Teleport_To_Random_Wander_Point::Get_A_Defense_Point(Vector3 *position,float *facing)
 {
 	Rp2SimplePositionSystem::SimplePositionNode *node = NULL;
@@ -8358,6 +8403,21 @@
 	*facing = node->facing;
 	return true;
 }
+bool JMG_Utility_Zone_Teleport_To_Random_WP_Boss::Get_A_Defense_Point(Vector3 *position,float *facing,GameObject *boss)
+{
+	Rp2SimplePositionSystem::SimplePositionNode *node = NULL;
+	if (wanderPointGroup != -1)
+		node = JMG_Wandering_AI_Controller::wanderPoints.GetFurthestInGroup(wanderPointGroup,Commands->Get_Position(boss));
+	if (!node)
+	{
+		if (!retryOnFailure)
+			Console_Input("msg JMG_Utility_Zone_Teleport_To_Random_Wander_Point ERROR: No wander points could be found for that group!");
+		return false;
+	}
+	*position = node->position;
+	*facing = node->facing;
+	return true;
+}
 bool JMG_Utility_AI_Goto_Player::GetRandomPosition(Vector3 *position)
 {
 	Rp2SimplePositionSystem::SimplePositionNode *node = NULL;
@@ -8413,6 +8473,42 @@
 	*position = node->position;
 	return true;
 }
+bool JMG_Utility_Custom_Create_Object_At_Random_Wander_Point::Get_A_Defense_Point(Vector3 *position,float *facing)
+{
+	Rp2SimplePositionSystem::SimplePositionNode *node = NULL;
+	if (wanderPointGroup != -1)
+		node = JMG_Wandering_AI_Controller::wanderPoints.GetRandomFromGroup(wanderPointGroup);
+	if (!node)
+	{
+		Console_Input("msg JMG_Utility_Custom_Teleport_Players_Outside_Range_To_Wanderpoints ERROR: No wander points could be found for that group!");
+		return false;
+	}
+	*position = node->position;
+	*facing = node->facing;
+	return true;
+}
+bool JMG_Utility_Zone_Teleport_To_Non_Visible_Wander_Point::Get_A_Defense_Point(Vector3 *position,float *facing)
+{
+	Rp2SimplePositionSystem::SimplePositionNode *node = NULL;
+	if (wanderPointGroup != -1)
+		node = JMG_Wandering_AI_Controller::wanderPoints.GetNonVisibleSpotFromPlayers(wanderPointGroup);
+	if (!node)
+		return false;
+	*position = node->position;
+	*facing = node->facing;
+	return true;
+}
+bool JMG_Utility_Zone_Teleport_To_Non_Visible_Wander_Point_Attach::Get_A_Defense_Point(Vector3 *position,float *facing)
+{
+	Rp2SimplePositionSystem::SimplePositionNode *node = NULL;
+	if (wanderPointGroup != -1)
+		node = JMG_Wandering_AI_Controller::wanderPoints.GetNonVisibleSpotFromPlayers(wanderPointGroup);
+	if (!node)
+		return false;
+	*position = node->position;
+	*facing = node->facing;
+	return true;
+}
 int JMG_Bear_Hunter_Golden_Deer_Statue::statueId = 0;
 int JMG_Bear_Hunter_Golden_Deer_Statue::playerWithTheStatue = 0;
 int JMG_Bear_Hunter_Golden_Deer_Statue::tinyDeerIds[25] = {0};
@@ -8426,8 +8522,7 @@
 	{
 		if (NewObjectiveSystemControl.Get_Objective_Status(24) == NewObjectiveSystem::NotDefined)
 		{
-			JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: Not only does that statue look valuable, but those little tiny deer seem to love it, bring it back to base!");
-			JmgUtility::Create_2D_Wave_Sound_Dialog("BH94.mp3");
+			BearHunterVoiceSystem::PlayVoice("BH94.mp3","Bear Rug Co: Not only does that statue look valuable, but those little tiny deer seem to love it, bring it back to base!");
 			NewObjectiveSystemControl.Add_Objective(24,NewObjectiveSystem::Tertiary,NewObjectiveSystem::Pending,12821,"",12821,JMG_Bear_Hunter_Game_Control::centerOfBase);
 		}
 		else
@@ -8492,8 +8587,7 @@
 		{
 			Remove_Weapon(obj,"Weapon_Golden_Deer_Statue");
 			JMG_Bear_Hunter_Golden_Deer_Statue::playerWithTheStatue = 0;
-			JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: We've placed the deer statue on the power substation, those tiny deer will now guard it with their lives!");
-			JmgUtility::Create_2D_Wave_Sound_Dialog("BH95.mp3");
+			BearHunterVoiceSystem::PlayVoice("BH95.mp3","Bear Rug Co: We've placed the deer statue on the power substation, those tiny deer will now guard it with their lives!");
 			bearHunterScoreSystem.Get_Current_Player_Score_Node(JmgUtility::JMG_Get_Player_ID(obj))->ReturnedDeerStatue++;
 			Commands->Give_Money(obj,500.0f,false);
 			NewObjectiveSystemControl.Set_Objective_Status(24,NewObjectiveSystem::Accomplished);
@@ -8523,31 +8617,52 @@
 	bearHunterScoreSystem.Get_Current_Player_Score_Node(JmgUtility::JMG_Get_Player_ID(obj))->DroppedDeerStatue++;
 }
 int JMG_Bear_Hunter_AI_Avoid_Enemies::wildAnimalCount = 0;
+int JMG_Bear_Hunter_AI_Avoid_Enemies::mouseAnimalCount = 0;
 void JMG_Bear_Hunter_AI_Avoid_Enemies::Created(GameObject *obj)
 {
-	JMG_Bear_Hunter_AI_Avoid_Enemies::wildAnimalCount++;
-	fleeTime = 0;
-	if (Has_Weapon(obj,"Weapon_Melee_Deer_Grazing") && Commands->Get_Random(0.0f,1.0f) < 0.75f)
-		Commands->Select_Weapon(obj,"Weapon_Melee_Deer_Grazing");
+	mouse = Get_Int_Parameter("Mouse") ? true : false;
+	if (mouse)
+		JMG_Bear_Hunter_AI_Avoid_Enemies::mouseAnimalCount++;
+	else
+		JMG_Bear_Hunter_AI_Avoid_Enemies::wildAnimalCount++;
 	Commands->Innate_Disable(obj);
 	Commands->Set_Loiters_Allowed(obj,true);
 	Commands->Enable_Enemy_Seen(obj,true);
 	getRandomLocation(obj);
+	closestEnemyId = 0;
+	seenTime = 0;
 	Commands->Start_Timer(obj,this,1.0f,1);
 }
 void JMG_Bear_Hunter_AI_Avoid_Enemies::Enemy_Seen(GameObject *obj,GameObject *seen)	
 {
+	if (seen->As_PhysicalGameObj() && seen->As_PhysicalGameObj()->Peek_Physical_Object() && seen->As_PhysicalGameObj()->Peek_Physical_Object()->As_DecorationPhysClass())
+		return;
 	if (!Commands->Get_Health(seen))
 		return;
-	if (fleeTime < originalFleeTime)
+	float dist = JmgUtility::SimpleDistance(Commands->Get_Position(obj),Commands->Get_Position(seen));
+	if (!closestEnemyId || dist < enemyDist)
+	{
+		seenTime = Commands->Get_Random_Int(3,6);
+		closestEnemyId = Commands->Get_ID(seen);
+		enemyDist = dist;
 		setRetreatLocation(obj,seen);
+	}
 }
 void JMG_Bear_Hunter_AI_Avoid_Enemies::Timer_Expired(GameObject *obj,int number)
 {
 	if (number == 1 && Commands->Get_Health(obj))
 	{
-		if (fleeTime)
-			fleeTime--;
+		if (seenTime)
+		{
+			seenTime--;
+			if (!seenTime)
+				closestEnemyId = 0;
+		}
+		GameObject *enemy = Commands->Find_Object(closestEnemyId);
+		if (enemy)
+			enemyDist = JmgUtility::SimpleDistance(Commands->Get_Position(obj),Commands->Get_Position(enemy));
+		else
+			closestEnemyId = 0;
 		if (JmgUtility::SimpleDistance(Commands->Get_Position(obj),movePosition) < 25.0f)
 			getRandomLocation(obj);
 		Commands->Start_Timer(obj,this,1.0f,1);
@@ -8555,24 +8670,46 @@
 }
 void JMG_Bear_Hunter_AI_Avoid_Enemies::Damaged(GameObject *obj,GameObject *damager,float damage)
 {
-	if (fleeTime < originalFleeTime)
-		setRetreatLocation(obj,damager);
+	if (damage <= 0.0f || !damager || obj == damager)
+		return;
+	Enemy_Seen(obj,damager);
+}
+void JMG_Bear_Hunter_AI_Avoid_Enemies::Killed(GameObject *obj,GameObject *killer)
+{
+	if (!mouse)
+		return;
+	JMG_Bear_Hunter_AI_Avoid_Enemies::mouseAnimalCount--;
+	if (JMG_Bear_Hunter_AI_Avoid_Enemies::mouseAnimalCount)
+		return;
+	BearHunterScoreSystem::BHScoreNode *node = bearHunterScoreSystem.Get_Current_Player_Score_Node(JmgUtility::JMG_Get_Player_ID(killer));
+	if (NewObjectiveSystemControl.Set_Objective_Status(26,NewObjectiveSystem::Accomplished))
+	{
+		BearHunterVoiceSystem::PlayVoice("BH99.mp3","Bear Rug Co: Wow, we didn't even ask you to deal with our pest problem, here's an extra $50.00 being you clearly need it, it'll be nice to see fewer rodents running around.");
+		Commands->Give_Points(killer,50.0f,false);
+		if (node)
+		{
+			node->BonusObjectivesCompleted++;
+			node->totalObjectivesCompleted++;
+			node->CompledMiceObjective++;
+		}
+	}
 }
 void JMG_Bear_Hunter_AI_Avoid_Enemies::Destroyed(GameObject *obj)
 {
-	JMG_Bear_Hunter_AI_Avoid_Enemies::wildAnimalCount--;
+	if (!mouse)
+		JMG_Bear_Hunter_AI_Avoid_Enemies::wildAnimalCount--;
 }
 void JMG_Bear_Hunter_AI_Avoid_Enemies::GotoLocation(GameObject *obj,const Vector3 &pos,GameObject *Enemy,float speed)
 {
 	ActionParamsStruct params;
 	params.Set_Basic(this,100,10);
-	params.Set_Movement(pos,speed,1.0f,false);
+	params.Set_Movement(pos,mouse ? 0.36f : speed,1.0f,false);
 	movePosition = pos;
 	if (!Enemy && JmgUtility::SimpleDistance(Commands->Get_Position(obj),pos) < 625 && Commands->Get_Random(0.0f,1.0f) < 0.25f)
 	{
 		params.MoveCrouched = true;
 		params.AttackCrouched = true;
-		params.MoveSpeed = Commands->Get_Random(0.25f,1.0f);
+		params.MoveSpeed = mouse ? Commands->Get_Random(0.09f,0.1f) : Commands->Get_Random(0.25f,1.0f);
 	}
 	params.MovePathfind = true;
 	params.Set_Basic(this,100,10);
@@ -8581,7 +8718,11 @@
 void JMG_Bear_Hunter_AI_Avoid_Enemies::getRandomLocation(GameObject *obj)
 {
 	Vector3 originalPos = Commands->Get_Position(obj);
-	Vector3 pos = BearHunterGameControlSystem.LookupNearestPosition(Vector2(originalPos.X+Commands->Get_Random(-50.0f,50.0f),originalPos.Y+Commands->Get_Random(-50.0f,50.0f)));
+	Vector3 pos;
+	if (mouse)
+		pos = JMG_Wandering_AI_Controller::wanderPoints.GetRandomFromGroup(751)->position;
+	else
+		pos = BearHunterGameControlSystem.LookupNearestPosition(Vector2(originalPos.X+Commands->Get_Random(-50.0f,50.0f),originalPos.Y+Commands->Get_Random(-50.0f,50.0f)));
 	GotoLocation(obj,pos,NULL,1.0f);
 }
 void JMG_Bear_Hunter_AI_Avoid_Enemies::setRetreatLocation(GameObject *obj,GameObject *enemy)
@@ -8590,12 +8731,15 @@
 	Vector3 mypos = Commands->Get_Position(enemy);
 	pos.X -= mypos.X;
 	pos.Y -= mypos.Y;
-	float TempRotation = atan2(pos.Y,pos.X);
+	float tempRotation = atan2(pos.Y,pos.X)*180.0f/PI+Commands->Get_Random(45.0f,45.0f);
+	pos = Commands->Get_Position(obj);
 	float dist = Commands->Get_Random(50.0f,200.0f);
-	pos.X += cos(TempRotation)*dist;
-	pos.Y += sin(TempRotation)*dist;
-	pos = BearHunterGameControlSystem.LookupNearestPosition(Vector2(pos.X,pos.Y));
-	originalFleeTime = fleeTime = Commands->Get_Random_Int(10,25);
+	pos.X += cos(tempRotation*PI180)*dist;
+	pos.Y += sin(tempRotation*PI180)*dist;
+	if (mouse)
+		pos = JMG_Wandering_AI_Controller::wanderPoints.GetNearestFromGroup(751,pos)->position;
+	else
+		pos = BearHunterGameControlSystem.LookupNearestPosition(Vector2(pos.X,pos.Y));
 	GotoLocation(obj,pos,enemy,1.0f);
 }
 void JMG_Security_Camera_Behavior_Ignore::Created(GameObject *obj)
